java.lang.ExceptionInInitializerError

Exception #2448282

Samebug tips0

We couldn't find tips for this exception.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web17

  • via GitHub by ErdtR
    ,
  • via Stack Overflow by Vaneet Singh
    ,
  • Stack trace

    • java.lang.ExceptionInInitializerError at com.ligadata.keyvaluestore.CassandraAdapter.<init>(CassandraAdapter.scala:215)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.keyvaluestore.CassandraAdapter$.CreateStorageAdapter(CassandraAdapter.scala:1447)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.keyvaluestore.KeyValueManager$.Get(KeyValueManager.scala:67)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.MetadataAPI.PersistenceUtils$.GetDataStoreHandle(PersistenceUtils.scala:779)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.MetadataAPI.PersistenceUtils$.OpenDbStore(PersistenceUtils.scala:797)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.MetadataAPI.MetadataAPIImpl$.OpenDbStore(MetadataAPIImpl.scala:1627)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.MetadataAPI.MetadataAPIImpl$.InitMdMgrFromBootStrap(MetadataAPIImpl.scala:4270)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.MetadataAPI.StartMetadataAPI$.main(StartMetadataAPI.scala:339)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] at com.ligadata.MetadataAPI.StartMetadataAPI.main(StartMetadataAPI.scala)[KamanjaInternalDeps_2.11-1.5.0.jar:0.1-SNAPSHOT] Caused by: java.lang.IllegalStateException: Detected Guava issue #1635 which indicates that a version of Guava less than 16.01 is in use. This introduces codec resolution issues and potentially other incompatibility issues in the driver. Please upgrade to Guava 16.01 or later. at com.datastax.driver.core.SanityChecks.checkGuava(SanityChecks.java:62)[ExtDependencyLibs2_2.11-1.5.0.jar:1.0] at com.datastax.driver.core.SanityChecks.check(SanityChecks.java:36)[ExtDependencyLibs2_2.11-1.5.0.jar:1.0] at com.datastax.driver.core.Cluster.<clinit>(Cluster.java:68)[ExtDependencyLibs2_2.11-1.5.0.jar:1.0] ... 9 more

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown visitor
    Unknown visitorOnce,